Bug 193521 - Unreviewed GTK and WPE test gardening.
Summary: Unreviewed GTK and WPE test gardening.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alicia Boya García
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-16 17:00 PST by Alicia Boya García
Modified: 2019-02-05 08:03 PST (History)
4 users (show)

See Also:


Attachments
Patch for landing (19.38 KB, patch)
2019-01-16 17:01 PST, Alicia Boya García
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alicia Boya García 2019-01-16 17:00:36 PST
.
Comment 1 Alicia Boya García 2019-01-16 17:01:42 PST
Created attachment 359338 [details]
Patch for landing
Comment 2 WebKit Commit Bot 2019-01-16 17:37:44 PST
Comment on attachment 359338 [details]
Patch for landing

Clearing flags on attachment: 359338

Committed r240102: <https://trac.webkit.org/changeset/240102>
Comment 3 WebKit Commit Bot 2019-01-16 17:37:45 PST
All reviewed patches have been landed.  Closing bug.
Comment 4 Michael Catanzaro 2019-01-20 18:49:17 PST
This caused imported/w3c/web-platform-tests/fetch/security/dangling-markup-mitigation-data-url.tentative.sub.html to begin unexpectedly failing. It had never failed before on the GTK release bot. I've deleted the added expectation.

It also caused fast/events/touch/emulate-touch-events.html to begin unexpectedly passing. I've removed the failure expectation, since it never failed before on the GTK release bot. (Why did you point it at bug #173419?)
Comment 5 Alicia Boya García 2019-01-22 10:38:04 PST
(In reply to Michael Catanzaro from comment #4)
> This caused
> imported/w3c/web-platform-tests/fetch/security/dangling-markup-mitigation-
> data-url.tentative.sub.html to begin unexpectedly failing. It had never
> failed before on the GTK release bot. I've deleted the added expectation.

Why though? Did you checked the diff? Was there a paste error or is it flaky?

> It also caused fast/events/touch/emulate-touch-events.html to begin
> unexpectedly passing. I've removed the failure expectation, since it never
> failed before on the GTK release bot. (Why did you point it at bug #173419?)

Hmmm... It fails in Debug only it seems. I pointed to #173419 because it was already pointing there in WPE, along with many other fast/events/ failures.
Comment 6 Michael Catanzaro 2019-01-22 12:00:43 PST
(In reply to Alicia Boya García from comment #5)
> (In reply to Michael Catanzaro from comment #4)
> > This caused
> > imported/w3c/web-platform-tests/fetch/security/dangling-markup-mitigation-
> > data-url.tentative.sub.html to begin unexpectedly failing. It had never
> > failed before on the GTK release bot. I've deleted the added expectation.
> 
> Why though? Did you checked the diff? Was there a paste error or is it flaky?

The test had never failed on the release bot before you added the expectation, and it's passing again now that I've removed the expectation. Do you remember why you added the expectation?

> > It also caused fast/events/touch/emulate-touch-events.html to begin
> > unexpectedly passing. I've removed the failure expectation, since it never
> > failed before on the GTK release bot. (Why did you point it at bug #173419?)
> 
> Hmmm... It fails in Debug only it seems. I pointed to #173419 because it was
> already pointing there in WPE, along with many other fast/events/ failures.

That bug looks unrelated (and WPE-specific). So it should use a [ Debug ] expectation and have a new bug.
Comment 7 Alicia Boya García 2019-01-22 12:41:33 PST
(In reply to Michael Catanzaro from comment #6)
> (In reply to Alicia Boya García from comment #5)
> > (In reply to Michael Catanzaro from comment #4)
> > > This caused
> > > imported/w3c/web-platform-tests/fetch/security/dangling-markup-mitigation-
> > > data-url.tentative.sub.html to begin unexpectedly failing. It had never
> > > failed before on the GTK release bot. I've deleted the added expectation.
> > 
> > Why though? Did you checked the diff? Was there a paste error or is it flaky?
> 
> The test had never failed on the release bot before you added the
> expectation, and it's passing again now that I've removed the expectation.
> Do you remember why you added the expectation?

Because the diff was a FAIL line being replaced with PASS, so I assumed it needed a rebaseline.

--- /home/slave/webkitgtk/gtk-linux-64-debug-tests/build/layout-test-results/imported/w3c/web-platform-tests/fetch/security/dangling-markup-mitigation-data-url.tentative.sub-expected.txt
+++ /home/slave/webkitgtk/gtk-linux-64-debug-tests/build/layout-test-results/imported/w3c/web-platform-tests/fetch/security/dangling-markup-mitigation-data-url.tentative.sub-actual.txt
@@ -2,7 +2,7 @@
 
 PASS <img id="dangling" src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mNkYAAAAAYAAjCB0C8AAAAASUVORK5CYII="> 
 FAIL <img id="dangling" src="data:image/png;base64,&#10;iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mNkYAAAAAYAAjCB0C8AAAAASUVORK5CYII="> assert_equals: Height expected 1 but got 0
-FAIL <img id="dangling" src="data:image/png;base64,i&#10;VBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mNkYAAAAAYAAjCB0C8AAAAASUVORK5CYII="> assert_equals: Height expected 1 but got 0
+PASS <img id="dangling" src="data:image/png;base64,i&#10;VBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mNkYAAAAAYAAjCB0C8AAAAASUVORK5CYII="> 
 PASS <img id="dangling" src="data:image/svg+xml;utf8,\n      <svg width='1' height='1' xmlns='http://www.w3.org/2000/svg'>\n        <rect width='100%' height='100%' fill='rebeccapurple'/>\n        <rect x='10%' y='10%' width='80%' height='80%' fill='lightgreen'/>\n      </svg>"> 
 PASS <iframe id="dangling"\n        src="data:text/html,\n            <img\n              onload='window.parent.postMessage(&quot;loaded&quot;, &quot;*&quot;);'\n              onerror='window.parent.postMessage(&quot;error&quot;, &quot;*&quot;);'\n              src='http://localhost:8800/images/gr&#10;een-256x256.png'>\n        ">\n     </iframe> 
 PASS <iframe id="dangling"\n        src="data:text/html,\n            <img\n              onload='window.parent.postMessage(&quot;loaded&quot;, &quot;*&quot;);'\n              onerror='window.parent.postMessage(&quot;error&quot;, &quot;*&quot;);'\n              src='http://localhost:8800/images/green-256x256.png?&lt;'>\n        ">\n     </iframe>
Comment 8 Michael Catanzaro 2019-01-22 12:47:38 PST
Where are you seeing the PASS in the actual result? Can you link to results on build.webkit.org so I can understand, please?